<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:06:29 CEST 2014 -->
<title>WebSocket</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="WebSocket";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WebSocket.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/java_websocket/SSLSocketChannel2.html" title="class in org.java_websocket"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/java_websocket/WebSocket.READYSTATE.html" title="enum in org.java_websocket"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/WebSocket.html" target="_top">Frames</a></li>
<li><a href="WebSocket.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.java_websocket</div>
<h2 title="Interface WebSocket" class="title">Interface WebSocket</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../org/java_websocket/client/WebSocketClient.html" title="class in org.java_websocket.client">WebSocketClient</a>, <a href="../../org/java_websocket/WebSocketImpl.html" title="class in org.java_websocket">WebSocketImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">WebSocket</span></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.READYSTATE.html" title="enum in org.java_websocket">WebSocket.READYSTATE</a></strong></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.Role.html" title="enum in org.java_websocket">WebSocket.Role</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#DEFAULT_PORT">DEFAULT_PORT</a></strong></code>
<div class="block">The default port of WebSockets, as defined in the spec.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#DEFAULT_WSS_PORT">DEFAULT_WSS_PORT</a></strong></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#close()">close</a></strong>()</code>
<div class="block">Convenience function which behaves like close(CloseFrame.NORMAL)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#close(int)">close</a></strong>(int&nbsp;code)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#close(int,%20java.lang.String)">close</a></strong>(int&nbsp;code,
     java.lang.String&nbsp;message)</code>
<div class="block">sends the closing handshake.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#closeConnection(int,%20java.lang.String)">closeConnection</a></strong>(int&nbsp;code,
               java.lang.String&nbsp;message)</code>
<div class="block">This will close the connection immediately without a proper close handshake.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a></code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#getDraft()">getDraft</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.net.InetSocketAddress</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#getLocalSocketAddress()">getLocalSocketAddress</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../org/java_websocket/WebSocket.READYSTATE.html" title="enum in org.java_websocket">WebSocket.READYSTATE</a></code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#getReadyState()">getReadyState</a></strong>()</code>
<div class="block">Retrieve the WebSocket 'readyState'.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.net.InetSocketAddress</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#getRemoteSocketAddress()">getRemoteSocketAddress</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#getResourceDescriptor()">getResourceDescriptor</a></strong>()</code>
<div class="block">Returns the HTTP Request-URI as defined by http://tools.ietf.org/html/rfc2616#section-5.1.2<br>
 If the opening handshake has not yet happened it will return null.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#hasBufferedData()">hasBufferedData</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#isClosed()">isClosed</a></strong>()</code>
<div class="block">Returns whether the close handshake has been completed and the socket is closed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#isClosing()">isClosing</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#isConnecting()">isConnecting</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#isFlushAndClose()">isFlushAndClose</a></strong>()</code>
<div class="block">Returns true when no further frames may be submitted<br>
 This happens before the socket connection is closed.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#isOpen()">isOpen</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#send(byte[])">send</a></strong>(byte[]&nbsp;bytes)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#send(java.nio.ByteBuffer)">send</a></strong>(java.nio.ByteBuffer&nbsp;bytes)</code>
<div class="block">Send Binary data (plain bytes) to the other end.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#send(java.lang.String)">send</a></strong>(java.lang.String&nbsp;text)</code>
<div class="block">Send Text data to the other end.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#sendFragmentedFrame(org.java_websocket.framing.Framedata.Opcode,%20java.nio.ByteBuffer,%20boolean)">sendFragmentedFrame</a></strong>(<a href="../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;op,
                   java.nio.ByteBuffer&nbsp;buffer,
                   boolean&nbsp;fin)</code>
<div class="block">Allows to send continuous/fragmented frames conveniently.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../org/java_websocket/WebSocket.html#sendFrame(org.java_websocket.framing.Framedata)">sendFrame</a></strong>(<a href="../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="DEFAULT_PORT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_PORT</h4>
<pre>static final&nbsp;int DEFAULT_PORT</pre>
<div class="block">The default port of WebSockets, as defined in the spec. If the nullary
 constructor is used, DEFAULT_PORT will be the port the WebSocketServer
 is binded to. Note that ports under 1024 usually require root permissions.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../constant-values.html#org.java_websocket.WebSocket.DEFAULT_PORT">Constant Field Values</a></dd></dl>
</li>
</ul>
<a name="DEFAULT_WSS_PORT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DEFAULT_WSS_PORT</h4>
<pre>static final&nbsp;int DEFAULT_WSS_PORT</pre>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../constant-values.html#org.java_websocket.WebSocket.DEFAULT_WSS_PORT">Constant Field Values</a></dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="close(int, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>void&nbsp;close(int&nbsp;code,
         java.lang.String&nbsp;message)</pre>
<div class="block">sends the closing handshake.
 may be send in response to an other handshake.</div>
</li>
</ul>
<a name="close(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>void&nbsp;close(int&nbsp;code)</pre>
</li>
</ul>
<a name="close()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>close</h4>
<pre>void&nbsp;close()</pre>
<div class="block">Convenience function which behaves like close(CloseFrame.NORMAL)</div>
</li>
</ul>
<a name="closeConnection(int, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>closeConnection</h4>
<pre>void&nbsp;closeConnection(int&nbsp;code,
                   java.lang.String&nbsp;message)</pre>
<div class="block">This will close the connection immediately without a proper close handshake.
 The code and the message therefore won't be transfered over the wire also they will be forwarded to onClose/onWebsocketClose.</div>
</li>
</ul>
<a name="send(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre>void&nbsp;send(java.lang.String&nbsp;text)
          throws java.nio.channels.NotYetConnectedException</pre>
<div class="block">Send Text data to the other end.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code></dd>
<dd><code>java.nio.channels.NotYetConnectedException</code></dd></dl>
</li>
</ul>
<a name="send(java.nio.ByteBuffer)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre>void&nbsp;send(java.nio.ByteBuffer&nbsp;bytes)
          throws java.lang.IllegalArgumentException,
                 java.nio.channels.NotYetConnectedException</pre>
<div class="block">Send Binary data (plain bytes) to the other end.</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code></dd>
<dd><code>java.nio.channels.NotYetConnectedException</code></dd></dl>
</li>
</ul>
<a name="send(byte[])">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>send</h4>
<pre>void&nbsp;send(byte[]&nbsp;bytes)
          throws java.lang.IllegalArgumentException,
                 java.nio.channels.NotYetConnectedException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.IllegalArgumentException</code></dd>
<dd><code>java.nio.channels.NotYetConnectedException</code></dd></dl>
</li>
</ul>
<a name="sendFrame(org.java_websocket.framing.Framedata)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendFrame</h4>
<pre>void&nbsp;sendFrame(<a href="../../org/java_websocket/framing/Framedata.html" title="interface in org.java_websocket.framing">Framedata</a>&nbsp;framedata)</pre>
</li>
</ul>
<a name="sendFragmentedFrame(org.java_websocket.framing.Framedata.Opcode, java.nio.ByteBuffer, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendFragmentedFrame</h4>
<pre>void&nbsp;sendFragmentedFrame(<a href="../../org/java_websocket/framing/Framedata.Opcode.html" title="enum in org.java_websocket.framing">Framedata.Opcode</a>&nbsp;op,
                       java.nio.ByteBuffer&nbsp;buffer,
                       boolean&nbsp;fin)</pre>
<div class="block">Allows to send continuous/fragmented frames conveniently. <br>
 For more into on this frame type see http://tools.ietf.org/html/rfc6455#section-5.4<br>
 
 If the first frame you send is also the last then it is not a fragmented frame and will received via onMessage instead of onFragmented even though it was send by this method.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>op</code> - This is only important for the first frame in the sequence. Opcode.TEXT, Opcode.BINARY are allowed.</dd><dd><code>buffer</code> - The buffer which contains the payload. It may have no bytes remaining.</dd><dd><code>fin</code> - true means the current frame is the last in the sequence.</dd></dl>
</li>
</ul>
<a name="hasBufferedData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasBufferedData</h4>
<pre>boolean&nbsp;hasBufferedData()</pre>
</li>
</ul>
<a name="getRemoteSocketAddress()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRemoteSocketAddress</h4>
<pre>java.net.InetSocketAddress&nbsp;getRemoteSocketAddress()</pre>
</li>
</ul>
<a name="getLocalSocketAddress()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocalSocketAddress</h4>
<pre>java.net.InetSocketAddress&nbsp;getLocalSocketAddress()</pre>
</li>
</ul>
<a name="isConnecting()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isConnecting</h4>
<pre>boolean&nbsp;isConnecting()</pre>
</li>
</ul>
<a name="isOpen()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOpen</h4>
<pre>boolean&nbsp;isOpen()</pre>
</li>
</ul>
<a name="isClosing()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isClosing</h4>
<pre>boolean&nbsp;isClosing()</pre>
</li>
</ul>
<a name="isFlushAndClose()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFlushAndClose</h4>
<pre>boolean&nbsp;isFlushAndClose()</pre>
<div class="block">Returns true when no further frames may be submitted<br>
 This happens before the socket connection is closed.</div>
</li>
</ul>
<a name="isClosed()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isClosed</h4>
<pre>boolean&nbsp;isClosed()</pre>
<div class="block">Returns whether the close handshake has been completed and the socket is closed.</div>
</li>
</ul>
<a name="getDraft()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDraft</h4>
<pre><a href="../../org/java_websocket/drafts/Draft.html" title="class in org.java_websocket.drafts">Draft</a>&nbsp;getDraft()</pre>
</li>
</ul>
<a name="getReadyState()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReadyState</h4>
<pre><a href="../../org/java_websocket/WebSocket.READYSTATE.html" title="enum in org.java_websocket">WebSocket.READYSTATE</a>&nbsp;getReadyState()</pre>
<div class="block">Retrieve the WebSocket 'readyState'.
 This represents the state of the connection.
 It returns a numerical value, as per W3C WebSockets specs.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>Returns '0 = CONNECTING', '1 = OPEN', '2 = CLOSING' or '3 = CLOSED'</dd></dl>
</li>
</ul>
<a name="getResourceDescriptor()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getResourceDescriptor</h4>
<pre>java.lang.String&nbsp;getResourceDescriptor()</pre>
<div class="block">Returns the HTTP Request-URI as defined by http://tools.ietf.org/html/rfc2616#section-5.1.2<br>
 If the opening handshake has not yet happened it will return null.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/WebSocket.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../org/java_websocket/SSLSocketChannel2.html" title="class in org.java_websocket"><span class="strong">Prev Class</span></a></li>
<li><a href="../../org/java_websocket/WebSocket.READYSTATE.html" title="enum in org.java_websocket"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?org/java_websocket/WebSocket.html" target="_top">Frames</a></li>
<li><a href="WebSocket.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_class_summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
